<template>
  <el-dialog v-model="visible" title="word模版说明" width="800px" top="5vh" append-to-body>
    <div class="app-container">
      <el-text>
        1、word模版采用标记化语言作为参数管理。<br />
        2、模版仅支持<el-tag>.docx</el-tag>格式模版。<br />
        3、打印结果与上传模版样式一致，仅做内容填充，模版中设置的样式、字体等均保留。<br />
      </el-text>
      <el-row style="margin-top: 5px">
        <el-text type="warning" size="large">变量说明：</el-text>
      </el-row>
      <el-text>
        1、 <el-tag>{{ text }}</el-tag
        >：文本格式，文本格式使用两个大括号包含。样例：<el-tag>{{ textsample }}</el-tag
        ><br />
        2、 <el-tag>{{ table }}</el-tag
        >：表格格式，表格格式使用两个大括号包含加#号的方式。样例：<el-tag>{{ tablesample }}</el-tag
        ><br />
        3、 <el-tag>{{ image }}</el-tag
        >：图片格式，图片格式使用两个大括号包含加@号的方式。样例：<el-tag>{{ imagesample }}</el-tag
        ><br />
      </el-text>
<!--      <el-row style="margin-top: 40px">-->
<!--        <el-button type="primary" icon="Download" size="mini" style="margin-left: 20px" @click="handleQuery">样例下载</el-button>-->
<!--      </el-row>-->
    </div>
  </el-dialog>
</template>

<script setup name="WordExplanation" lang="ts">
const router = useRouter();
const { proxy } = getCurrentInstance();
const visible = ref(false);
const text = ref('{{}}');
const textsample = ref('{{text}}');
const table = ref('{{^}}');
const tablesample = ref('{{^table}}');
const image = ref('{{@}}');
const imagesample = ref('{{@image}}');
// const thelist = ref('{{*}}');
// const listsample = ref('{{*list}}');
// const thesections = ref('{{?}}{{/}}');
// const sectionssample = ref('{{?sections}}{{/sections}}');

const show = () => {
  visible.value = true;
};

defineExpose({
  show
});
</script>

<style scoped lang="scss"></style>
